{{#*inline "armorListSection"}}
    <div class="flexrow choose-armor-panel">

        {{#each menu.armors as |armor|}}
            <div class="flexrow available-base-armor" data-ref="{{armor.key}}">
                <img class="armor-icon wa-tooltip" src="{{armor.icon}}" data-shortcut="{{armor.shortcut}}" data-child="{{armor.shortcutChild}}">
                <div class="flexcol armor-desc-part">
                    <a class="flexrow armor-name">{{armor.name}}</a>
                    <div class="flexrow armor-affixes">
                        {{#each armor.affixes as |affix|}}
                            <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                        {{/each}}
                    </div>
                </div>
            </div>
        {{/each}}

    </div>
{{/inline}}

<form class="{{cssClass}}" autocomplete="off">

    <div class="flexcol">

        <div class="flexrow ae-header">
            <img class="ae-icon" src="{{item.img}}" data-edit="img" />
            <h1 class="ae-name">
                <input name="name" type="text" value="{{item.name}}" placeholder="Name"/>
            </h1>
            <img class="ae-icon" src={{armor.slot.icon}} />
        </div>
    </div>

    <section class="flexcol ae-body">

        {{#if chooseBaseArmor }}
            <div class="flexcol choosing-armor">

                {{#each allSlots as |slot|}}
                    <div class="flexrow choose-menu {{slot.css}}" data-section="{{slot.sectionId}}">
                        <span class="menu-title">{{slot.name}}</span>
                        <i class="wa-tooltip far fa-question-circle" data-shortcut="{{slot.shortcut}}" data-child="{{slot.shortcutChild}}"></i>    
                    </div>
                    {{#if slot.showContent}}
                        <div class="flexcol choose-content">

                            {{#if slot.sublevel.needed }}
                                {{#each slot.sublevel.protections as |protection|}}
                                    <div class="flexrow choose-menu submenu {{protection.css}}" data-section="{{protection.sectionId}}">
                                        <span class="menu-title">{{protection.name}}</span>
                                        <i class="wa-tooltip far fa-question-circle" data-shortcut="{{protection.shortcut}}" data-child="{{protection.shortcutChild}}"></i>    
                                    </div>
                                    {{#if protection.showContent}}
                                        {{> armorListSection menu=protection}}
                                    {{/if}}
                                {{/each}}

                            {{else}}
                                {{> armorListSection menu=slot}}
                                
                            {{/if}}
                        </div>
                    {{/if}}
                {{/each}}

            </div>
        {{/if}}

        {{#if displayDetails }}

            <div class="flexrow armor-base-data">

                <!-- Armor base data -->
                <div class="flexcol ae-col">
                    <span class="ae-descline current-armor-base">
                        <span>{{localize 'AESYSTEM.item.armor.sheet.equipmentType'}}</span>
                        {{#if upgradable }}
                            &nbsp;<a class="current-armor-delete"><i class="fas fa-trash"></i></a>
                        {{/if}}
                    </span>
                    <span class="ae-descline">
                        <span class="wa-link" data-shortcut="{{armor.basedOn.shortcut}}" data-child="{{armor.basedOn.shortcutChild}}"></span>
                    </span>
                </div>
                <div class="flexcol ae-col">
                    <span class="ae-descline current-armor-base">{{localize 'AESYSTEM.item.armor.sheet.armorSlot'}}</span>
                    <span class="ae-descline">
                        <span class="wa-link" data-shortcut="{{armor.slot.shortcut}}" data-child="{{armor.slot.shortcutChild}}"></span>
                    </span>
                </div>

                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.sheet.equipment.quality'}}</span>
                    <span class="ae-descline">{{armor.rarity.name}}</span>
                </div>
                <div class="flexcol ae-col">
                    <span class="ae-descline">{{localize 'AESYSTEM.item.sheet.equipment.price'}}</span>
                    <span class="ae-descline">{{armor.cost}}</span>
                </div>

                {{#if details.protection.displayed }}
                    <div class="flexcol ae-col">
                        <span class="ae-descline current-armor-base">{{localize 'AESYSTEM.item.armor.sheet.protectionLevel'}}</span>
                        <span class="ae-descline">
                            <span class="wa-link" data-shortcut="{{details.protection.definition.shortcut}}" data-child="{{details.protection.definition.shortcutChild}}"></span>
                        </span>
                    </div>
                {{/if}}
                {{#if details.limiter.displayed }}
                    <div class="flexcol ae-col">
                        <span class="ae-descline">{{localize 'AESYSTEM.item.armor.sheet.overloadStep'}}</span>
                        <span class="ae-descline">{{details.limiter.text}}</span>
                    </div>
                {{/if}}
                
                {{#if armor.givesProtection }}
                    <div class="flexcol ae-col">
                        <span class="ae-descline">{{localize 'AESYSTEM.item.armor.sheet.protecting'}}</span>
                        <div class="flexrow armor-protection-levels">
                            {{#each protectionLevels as |level|}}
                                <div class="flexcol protection-col">
                                    <img class="protection-icon" src="{{level.on}}">
                                    <div class="protection-value {{level.protection.css}}">{{level.protection.value}}</div>
                                </div>
                            {{/each}}
                        </div>
                    </div>
                {{/if}}

                {{#if armor.givesElementalResistances }}
                    <div class="flexcol ae-col">
                        <span class="ae-descline">{{localize 'AESYSTEM.item.armor.sheet.elementalResistances'}}</span>
                        <div class="flexrow armor-protection-levels">
                            {{#each elementResistances as |element|}}
                                <div class="flexcol protection-col">
                                    <img class="protection-icon" src="{{element.on}}">
                                    <div class="protection-value">{{element.resistance}}</div>
                                </div>
                            {{/each}}
                        </div>
                    </div>
                {{/if}}

            </div>

            <div class="ae-subsection">{{localize 'AESYSTEM.item.armor.sheet.description'}}</div>
            <div class="armor-description">
                {{editor data.system.description target="system.description" button=true owner=owner editable=editable}}
            </div>
            
            <div class="ae-subsection">{{localize 'AESYSTEM.item.armor.sheet.affixes'}}</div>
            <div class="flexcol armor-affix-list">
                {{#each armorAffixes as |affix|}}
                    <span class="ae-descline" data-ref="{{affix.key}}">
                        <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                        {{#if affix.upgradable }}
                            <a class="affix-delete"><i class="fas fa-trash"></i></a>
                        {{/if}}
                    </span>
                {{/each}}
            </div>
            {{#if upgradable }}
                <div class="ae-subsection">{{localize 'AESYSTEM.item.armor.sheet.newAffixes'}}</div>
                <div class="new-affixes">
                    {{#each affixMenus as |section|}}
                        <div class="ae-subsection">{{section.menu.name}}</div>
                        <div class="flexrow">
                            {{#each section.affixes as |affix|}}
                                <span class="new-affix-line" data-ref="{{affix.key}}">
                                    <span class="wa-link" data-shortcut="{{affix.shortcut}}" data-child="{{affix.shortcutChild}}"></span>
                                    <a class="affix-add"><i class="fas fa-plus"></i></a>
                                </span>
                            {{/each}}
                        </div>
                    {{/each}}
                </div>
            {{/if}}
        {{/if}}

    </section>

</form>
